spec:
  replicas: 1
  selector:
    matchLabels:
      app: gooddata-cn-ce
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: gooddata-cn-ce
    spec:
      volumes:
        - name: gd-volume
          persistentVolumeClaim:
            claimName: gooddata-cn-ce
      containers:
        - name: gooddata-cn-ce
          image: gooddata/gooddata-cn-ce:3.7.0
          ports:
            - name: http
              containerPort: 3000
              protocol: TCP
            - name: other
              containerPort: 5432
              protocol: TCP
          envFrom:
            - secretRef:
                name: credentials
                optional: false
          env:
            - name: GDCN_SKIP_RESOURCE_CHECK
              value: '1'
            - name: PULSAR_LOGLEVEL
              value: DEBUG
            - name: LICENSE_AND_PRIVACY_POLICY_ACCEPTED
              value: 'YES'
            - name: SPRING_SECURITY_OAUTH2_CLIENT_COOKIES_SAMESITE
              value: None
          resources:
            limits:
              memory: 8Gi
            requests:
              cpu: 150m
              memory: 5Gi
          volumeMounts:
            - name: gd-volume
              mountPath: /data
              mountPropagation: None
          livenessProbe:
            httpGet:
              path: /health-check
              port: http
              scheme: HTTP
            timeoutSeconds: 5
            periodSeconds: 15
            successThreshold: 1
            failureThreshold: 5
          startupProbe:
            httpGet:
              path: /health-check
              port: http
              scheme: HTTP
            initialDelaySeconds: 240
            timeoutSeconds: 1
            periodSeconds: 10
            successThreshold: 1
            failureThreshold: 3